nvme_mi_admin_get_log_predictable_lat_event(2)

NAME
nvme_mi_admin_get_log_predictable_lat_event - Retrieve Predictable Latency Event Aggregate Log Page

SYNOPSIS
int nvme_mi_admin_get_log_predictable_lat_event (nvme_mi_ctrl_t ctrl , bool rae , __u32 offset , __u32 len , void *log );

ARGUMENTS

ctrl
    Controller to query

rae Retain asynchronous events

offset
    Offset into the predictable latency event

len Length of provided user buffer to hold the log data in bytes

log User address for log page data

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.